{% extends 'base.html'%}
{% block title %} {{ title }} {% endblock %}
{% block content %}
<div class="container myContainer" style="margin-bottom: 255px;">
    <div class="formCard card px-1 py-4 mt-5">
        <div class="card-body">
            <h4 class="card-title mb-3 text-center">Data Preprocessing</h4>
            <div class="preProcessingImg">
                <img src="{{ url_for('static',filename='images/preprocessing_img.png') }}" alt="">
            </div>
            <form id="preprocessForm" method="POST" enctype="multipart/form-data">
                <div class="row formRow mt-4">
                    <div class="col-sm-4 formLabel">
                        <label for="inputTrainData" class="form-label">Upload Data Latih</label>
                    </div>
                    <div class="col-sm-6">
                        <input type="file" class="form-control" name="dataLatih" id="trainFile" aria-describedby="emailHelp">
                    </div>
                    <div class="col-sm-1">
                        <div id="trainHelp" class="form-text">.csv</div>
                    </div>
                </div>
                <div class="row formRow mt-4">
                    <div class="col-sm-4 formLabel">
                        <label for="inputTestData" class="form-label">Upload Data Uji</label>
                    </div>
                    <div class="col-sm-6">
                        <input type="file" class="form-control" name="dataLatih"id="testFile" aria-describedby="emailHelp">
                    </div>
                    <div class="col-sm-1">
                        <div id="testHelp" class="form-text">.csv</div>
                    </div>
                </div>
                <div class="mt-5 row submitRow">
                    <div class="col-sm-3">
                        <button type="button" id="submitFormPreprocess" class="btn btn-primary">Submit</button>
                    </div>
                </div>
              </form>
              <div id="progressBarPreprocessing"></div>
        </div>
    </div>
</div>
{% endblock %}

